You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/editors/textedit/Makefile 327720 2013-09-20 
16:36:23Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/91i386-default/2013-10-16_14h14m28s/logs/textedit-4.0_3.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/91i386-default/2013-10-16_14h14m28s
Log:

====>> Building editors/textedit
build started at Thu Oct 17 02:58:47 UTC 2013
port directory: /usr/ports/editors/textedit
building for: FreeBSD 91i386-default-job-23 9.1-RELEASE FreeBSD 9.1-RELEASE i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/editors/textedit/Makefile 327720 2013-09-20 
16:36:23Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE
UNAME_r=9.1-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/91i386-default/ref
PKG_EXT=txz
tpid=95391
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=textedit-4.0_3
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=91i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
GNUSTEP_INSTALLATION_DOMAIN=SYSTEM TMPDIR="/tmp" "CC=/usr/local/bin/clang33 
CXX=/usr/local/bin/clang++33" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="/usr/local/bin/clang33" 
CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="/usr/local/bin/clang-cpp33" 
CPPFLAGS=""  LDFLAGS=""  CXX="/usr/local/bin/clang++33" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/textedit
DOCSDIR=/usr/local/share/doc/textedit
EXAMPLESDIR=/usr/local/share/examples/textedit
WWWDIR=/usr/local/www/textedit
ETCDIR=/usr/local/etc/textedit
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for textedit-4.0_3
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   textedit-4.0_3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of textedit-4.0_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by textedit-4.0_3 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by textedit-4.0_3 for building
=> SHA256 Checksum OK for 
backbone-6343263e17c5cd771770dabc2559ac07ffedcf29.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by textedit-4.0_3 for building
===>  Extracting for textedit-4.0_3
=> SHA256 Checksum OK for 
backbone-6343263e17c5cd771770dabc2559ac07ffedcf29.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for textedit-4.0_3
===========================================================================
=======================<phase: build-depends  >============================
===>   textedit-4.0_3 depends on file: 
/usr/local/GNUstep/System/Library/Makefiles/GNUstep.sh - not found
===>    Verifying install for 
/usr/local/GNUstep/System/Library/Makefiles/GNUstep.sh in 
/usr/ports/devel/gnustep-make
===>   Installing existing package /packages/All/gnustep-make-2.6.5.txz
Installing gnustep-make-2.6.5...Installing libobjc2-1.7... done
 done
===>   Returning to build of textedit-4.0_3
===>   textedit-4.0_3 depends on file: /usr/local/bin/clang33 - not found
===>    Verifying install for /usr/local/bin/clang33 in /usr/ports/lang/clang33
===>   Installing existing package /packages/All/clang33-3.3_1.txz
Installing clang33-3.3_1...Installing perl-5.14.4_2...Removing stale symlinks 
from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
 done
Installing llvm33-3.3_4...Installing libexecinfo-1.1_3... done
 done
 done
===>   Returning to build of textedit-4.0_3
===>   textedit-4.0_3 depends on file: 
/usr/local/GNUstep/System/Library/Bundles/libgnustep-cairo-023.bundle/libgnustep-cairo-023
 - not found
===>    Verifying install for 
/usr/local/GNUstep/System/Library/Bundles/libgnustep-cairo-023.bundle/libgnustep-cairo-023
 in /usr/ports/x11-toolkits/gnustep-back
===>   Installing existing package /packages/All/gnustep-back-cairo-0.23.0.txz
Installing gnustep-back-cairo-0.23.0...Installing xproto-7.0.24... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing xcb-util-renderutil-0.3.8...Installing 
xcb-util-0.3.9_1,1...Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2...Installing pkgconf-0.9.3... done
Installing libiconv-1.14_1... done
 done
Installing libpthread-stubs-0.3_3... done
 done
 done
 done
Installing renderproto-0.11.1... done
Installing pixman-0.30.2... done
Installing libXxf86vm-1.1.3...Installing libXext-1.3.2,1...Installing 
libX11-1.6.2,1...Installing kbproto-1.0.6... done
 done
 done
 done
Installing libXrender-0.9.8... done
Installing libXfixes-5.0.1...Installing fixesproto-5.0... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing libXcursor-1.1.14... done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing dri2proto-2.8... done
Installing libXt-1.1.4,1... done
Installing libXmu-1.1.2,1... done
Installing gnustep-gui-0.23.1...Installing libxslt-1.1.28_1...Installing 
libgpg-error-1.12...Installing gettext-0.18.3.1... done
 done
Installing libgcrypt-1.5.3... done
 done
Installing aspell-0.60.6.1_2... done
Installing p11-kit-0.16.3...Installing libtasn1-2.14... done
Installing ca_root_nss-3.15.1_1... done
 done
Installing nettle-2.7.1...Installing gmp-5.1.3... done
 done
Installing gnutls-2.12.23_1... done
Installing cups-client-1.5.4_1... done
Installing mDNSResponder-379.38.1... done
Installing gnustep-base-1.24.5_1...Installing libffi-3.0.13... done
Installing icu-50.1.2... done
 done
Installing tiff-4.0.3...Installing jpeg-8_4... done
Installing jbigkit-1.6... done
 done
Installing png-1.5.17... done
Installing giflib-nox11-4.2.3... done
Installing libvorbis-1.3.3_1,3...Installing libogg-1.3.1,4... done
 done
Installing libsndfile-1.0.25_3...Installing flac-1.3.0_1... done
 done
Installing libao-1.1.0_1... done
 done
Installing libXft-2.3.1...Installing fontconfig-2.10.95,1...Installing 
expat-2.1.0... done
Installing freetype2-2.5.0.1... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
 done
Installing pciids-20131010... done
Installing python27-2.7.5_3... done
Installing python2-2_1... done
Installing python-2.7_1,2... done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
Installing cairo-1.10.2_6,2...Installing pcre-8.33... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
To switch the default backend in GNUstep enter on of this lines:

for xlib:
defaults write NSGlobalDomain GSBackend libgnustep-back

for libart:
defaults write NSGlobalDomain GSBackend libgnustep-art

for cairo:
defaults write NSGlobalDomain GSBackend libgnustep-cairo
===>   Returning to build of textedit-4.0_3
===>   textedit-4.0_3 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1... done
===>   Returning to build of textedit-4.0_3
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for textedit-4.0_3
===========================================================================
=======================<phase: build          >============================
===>  Building for textedit-4.0_3
This is gnustep-make 2.6.5. Type 'gmake print-gnustep-make-help' for help.
gmake: Nothing to be done for `GNUmakefile'.
Making all for app TextEdit...
 Creating TextEdit.app/....
 Compiling file Controller.m ...
 Compiling file Document.m ...
Document.m:108:29: warning: instance method '-glyphForCharacter:' not found 
(return type defaults to 'id') [-Wobjc-method-access]
                        nGlyph = (NSGlyph) [font glyphForCharacter: 'n'];
                                                 ^~~~~~~~~~~~~~~~~
Document.m:1364:25: warning: 'sel_get_name' is deprecated 
[-Wdeprecated-declarations]
        const char      *sel_name = sel_get_name (action);
                                    ^
/usr/local/include/objc/runtime-deprecated.h:63:13: note: 'sel_get_name' 
declared here
const char *sel_get_name(SEL selector);
            ^
Document.m:1366:25: warning: 'sel_get_name' is deprecated 
[-Wdeprecated-declarations]
        if (!strcmp (sel_name, sel_get_name (@selector (toggleRich:)))) {
                               ^
/usr/local/include/objc/runtime-deprecated.h:63:13: note: 'sel_get_name' 
declared here
const char *sel_get_name(SEL selector);
            ^
Document.m:1368:32: warning: 'sel_get_name' is deprecated 
[-Wdeprecated-declarations]
        } else if (!strcmp (sel_name, sel_get_name (@selector 
(togglePageBreaks:)))) {
                                      ^
/usr/local/include/objc/runtime-deprecated.h:63:13: note: 'sel_get_name' 
declared here
const char *sel_get_name(SEL selector);
            ^
Document.m:1370:32: warning: 'sel_get_name' is deprecated 
[-Wdeprecated-declarations]
        } else if (!strcmp (sel_name, sel_get_name (@selector 
(toggleHyphenation:)))) {
                                      ^
/usr/local/include/objc/runtime-deprecated.h:63:13: note: 'sel_get_name' 
declared here
const char *sel_get_name(SEL selector);
            ^
5 warnings generated.
 Compiling file DocumentReadWrite.m ...
 Compiling file MultiplePageView.m ...
 Compiling file Preferences.m ...
Preferences.m:88:1: warning: method possibly missing a [super dealloc] call 
[-Wobjc-missing-super-calls]
}
^
1 warning generated.
 Compiling file ScalingScrollView.m ...
 Compiling file TextFinder.m ...
 Compiling file Edit_main.m ...
 Linking app TextEdit ...
./obj/TextEdit.obj/Document.m.o: In function `_i_Document__validateMenuItem_':
Document.m:(.text+0x575e): undefined reference to `sel_get_name'
Document.m:(.text+0x576e): undefined reference to `sel_get_name'
Document.m:(.text+0x5793): undefined reference to `sel_get_name'
Document.m:(.text+0x57b5): undefined reference to `sel_get_name'
clang: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [TextEdit.app/./TextEdit] Error 1
gmake[2]: *** [internal-app-run-compile-submake] Error 2
gmake[1]: *** [TextEdit.all.app.variables] Error 2
gmake: *** [internal-all] Error 2
*** [do-build] Error code 2

Stop in /usr/ports/editors/textedit.
===>  Cleaning for textedit-4.0_3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to